Ask Your Question
1

Is rally identity v3 compatible?

asked 2015-03-06 11:29:09 -0600

neerbeer gravatar image

We are able to use the openstack client on our juno/identity v3 deployment to create/show/delete users/projects.

'rally task start authenticate/keystone.json' fails w/

ContextSetupFailure: Unable to setup context 'users': 'Failed to create the requested number of users.'

Adding/removing/showing user/projects works as expected from our juno/horizon as well.

rally worked great when we were on identity v2.0

any help apprec.

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
1

answered 2015-03-06 12:00:25 -0600

neerbeer gravatar image

updated 2015-03-06 12:01:48 -0600

It appears that rally is identity v3 compatible according to:

https://github.com/stackforge/rally/blob/master/samples/deployments/existing-keystone-v3.json

But I'm still getting errors. It's able to create two users and fails: http://pastebin.com/18n3xZBH

edit flag offensive delete link more

Comments

Were you able to resolve this issue? I'm seeing the same errors in our Mitaka environment.

Don Nalezyty gravatar imageDon Nalezyty ( 2016-04-15 12:46:04 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-03-06 11:29:09 -0600

Seen: 428 times

Last updated: Mar 06 '15